Name:      newsgate
Version:   1.18
Release:   1
Copyright: GPL
Group:     Networking/News
Source0:   ftp://ftp.isc.org/isc/inn/contrib/newsgate.tar.Z
Patch0:    newsgate_1.18-rh.patch
Buildroot: /var/tmp/newsgate-buildroot
Requires:  inn => 1.7.2
Requires:  sendmail => 8.8.7
Summary:   News <==> Email gateway

%changelog
* Tue Jun 30 1998 Yeak Nai Siew <yeak@mir.com.my>

- First try to compile it for RedHat use. See the /usr/doc for more
  info.

- I am new to newsgate. I need someone who is good at newsgate to give
  me comments on its usage! Perhaps next package should require majordomo?
  Please read everything in /usr/doc/newsgate-x.xx for instruction how to
  use.

- I can't guarantee it is working because I am still "learning" how to use
  it!  I like RPM and thus I tried to package newsgate RPM as an exercise.

%description
Newsgate is a gateway between news server and email server. This particular
version is precompiled for INN and Sendmail.

%prep
%setup -n newsgate
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/.admin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

chown news.news $RPM_BUILD_ROOT/usr/lib/news/.admin
chown root.root $RPM_BUILD_ROOT/usr/bin
chown root.root $RPM_BUILD_ROOT/usr/man/man1

chmod 755 $RPM_BUILD_ROOT/usr/bin
chmod 775 $RPM_BUILD_ROOT/usr/lib/news/.admin

install -m 0755 $RPM_BUILD_DIR/newsgate/gag $RPM_BUILD_ROOT/usr/bin
install -m 0755 $RPM_BUILD_DIR/newsgate/mail2news  $RPM_BUILD_ROOT/usr/bin
install -m 0755 $RPM_BUILD_DIR/newsgate/mkmailpost  $RPM_BUILD_ROOT/usr/bin
install -m 0755 $RPM_BUILD_DIR/newsgate/news2mail  $RPM_BUILD_ROOT/usr/bin
install -m 0644 -o news -g news $RPM_BUILD_DIR/newsgate/uucp-2-inet  $RPM_BUILD_ROOT/usr/lib/news/.admin
install -m 0644 $RPM_BUILD_DIR/newsgate/gag.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 0644 $RPM_BUILD_DIR/newsgate/mail2news.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 0644 $RPM_BUILD_DIR/newsgate/mkmailpost.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 0644 $RPM_BUILD_DIR/newsgate/news2mail.1 $RPM_BUILD_ROOT/usr/man/man1

%files
/usr/bin/gag
/usr/bin/mail2news
/usr/bin/mkmailpost
/usr/bin/news2mail
/usr/man/man1/*.1
%dir /usr/lib/news/.admin
/usr/lib/news/.admin/uucp-2-inet
%doc BUGS MANIFEST P* README bug mail-interface mail-n-news.txt
%doc news2mail.sh news2mail.sh.more test-addr test-gag todo vixie.pl

